From: Roland Rosenfeld <roland@debian.org>
Date: Thu, 5 May 2005 16:47:59 +0200
Subject: Fix quoting of [ia]spell input to make aspell work again;
 Closes: #299176
Bug-Debian: http://bugs.debian.org/299176
Forwarded: To Frank Richter <frank.richter@hrz.tu-chemnitz.de> by mail on Fri, 7 Oct 2005 21:18:19 +0200

--- a/ding
+++ b/ding
@@ -2935,7 +2935,7 @@ proc dictsearch {query args} {
     } elseif {[string match "*spell" $searchmeth($curr,grepcmd)]} {
         # spell family
         set isspell 1
-        set cmd [concat "echo \"$squery\" | $searchmeth($curr,grepcmd) $opt"]
+        set cmd [concat "echo $squery | $searchmeth($curr,grepcmd) $opt"]
     } elseif {[string match "*fortune" $searchmeth($curr,grepcmd)]} {
         # fortune
         set stderr_to_stdout 0
